Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath
Class XPContext

    java.lang.Object
      org.basex.core.Progress
          org.basex.query.QueryContext
              org.basex.query.xpath.XPContext

    public final class XPContext

extends QueryContext

Query context.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Tim Petrowsky

Field Summary
`FTOption` | `ftoption` Leaf flag.
`boolean` | `leaf` Leaf flag.
`NodeSet` | `local` Data reference.

Constructor Summary
`XPContext(Expr expr)` Constructor.

Method Summary
`void` | `compile(Nodes n)` Optimizes the expression.
`Item` | `eval(Expr e)` Evaluates the expression with the specified context set.
`Result` | `eval(Nodes nodes)` Evaluates the expression with the specified context set.

Methods inherited from class org.basex.query.QueryContext
`compInfo, det, evalInfo, head, info, prog`

Methods inherited from class org.basex.core.Progress
`detail, header, progress, progress, stop, stopped`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ftoption

    public FTOption ftoption

  Leaf flag.

### leaf

    public boolean leaf

  Leaf flag.

### local

    public NodeSet local

  Data reference.

Constructor Detail

### XPContext

    public XPContext(Expr expr)

  Constructor.

  Parameters:
    `expr` - root expression

Method Detail

### compile

    public void compile(Nodes n)
                 throws EvalException

  Description copied from class: `QueryContext`
  Optimizes the expression.

  Specified by:
    `compile` in class `QueryContext`
  Parameters:
    `n` - node context
  Throws:
    `EvalException` - evaluation exception

### eval

    public Item eval(Expr e)
              throws EvalException

  Evaluates the expression with the specified context set. Additionally provides a context.

  Parameters:
    `e` - current expression
  Returns:
    resulting XPathValue
  Throws:
    `EvalException` - evaluation exception

### eval

    public Result eval(Nodes nodes)
                throws EvalException

  Description copied from class: `QueryContext`
  Evaluates the expression with the specified context set.

  Specified by:
    `eval` in class `QueryContext`
  Parameters:
    `nodes` - initial context set
  Returns:
    resulting value
  Throws:
    `EvalException` - evaluation exception

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD